package com.kospo.talk.service;

import com.kospo.talk.model.TalkAttach;
import com.kospo.talk.model.TalkAttachId;

import java.io.ByteArrayInputStream;
import java.time.LocalDateTime;
import java.util.List;

public interface TalkAttachService {
    List<TalkAttach> findByTalkId(String talkId);

    void saveAll(List<TalkAttach> chatContentAttachList);

    void save(TalkAttach chatContentAttach);

    byte[] readFile(TalkAttachId id);
    byte[] readThumb(TalkAttachId id, int size);

    List<TalkAttach> getTalkAttachList(String talkId, String sabun, String insDate);

    List<TalkAttach> getTalkAttachList(String talkId, String sabun, LocalDateTime insDate);

    ByteArrayInputStream getTalkAttachCompression(List<TalkAttach> attaches);

    ByteArrayInputStream getTalkAttachByte(TalkAttach attach);
}
